package com.goafanti.organization.bo;

import com.goafanti.common.constant.ErrorConstants;

import javax.validation.constraints.NotNull;

public class InputDep {
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    private String name;
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    private String type;
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    private String managerId;
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    private String superId;
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    private String status;
    private Integer province;
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    private String remarks;
    private String id;
    private String abbreviation;
    private String financeId;
    private String retrialFinanceId;
    private Integer workingHoursType;
    private Integer hideSign;
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    private String depNo;
    private Integer approval;
    private String approvalAid;
    private String expenseFinanceId;
    /**
     * 财务复审 0-不需要 ，1-需要
     */
    private Integer expenseRetrialFinanceExamine;

    /**
     * 董事长审核 0-不需要 ，1-需要
     */
    private Integer ceoExamine;

    /**
     * 财务总监出纳状态 0-不需要 ，1-需要
     */
    private Integer cfoExamine;

    /**
     * 公司副总出纳状态 0-不需要 ，1-需要
     */
    private Integer viceCeoExamine;

    /**
     * 出纳审核 0-不需要 ，1-需要
     */
    private Integer cashierExamine;

    /**
     * 技术总监审核人
     */
    private String techAdminId;
    /**
     * 运营保障审核人
     */
    private String operationGuaranteeId;

    public String getOperationGuaranteeId() {
        return operationGuaranteeId;
    }

    public void setOperationGuaranteeId(String operationGuaranteeId) {
        this.operationGuaranteeId = operationGuaranteeId;
    }

    public String getTechAdminId() {
        return techAdminId;
    }

    public void setTechAdminId(String techAdminId) {
        this.techAdminId = techAdminId;
    }

    public String getRetrialFinanceId() {
        return retrialFinanceId;
    }

    public void setRetrialFinanceId(String retrialFinanceId) {
        this.retrialFinanceId = retrialFinanceId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getManagerId() {
        return managerId;
    }

    public void setManagerId(String managerId) {
        this.managerId = managerId;
    }

    public String getSuperId() {
        return superId;
    }

    public void setSuperId(String superId) {
        this.superId = superId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getProvince() {
        return province;
    }

    public void setProvince(Integer province) {
        this.province = province;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAbbreviation() {
        return abbreviation;
    }

    public void setAbbreviation(String abbreviation) {
        this.abbreviation = abbreviation;
    }

    public String getFinanceId() {
        return financeId;
    }

    public void setFinanceId(String financeId) {
        this.financeId = financeId;
    }

    public Integer getWorkingHoursType() {
        return workingHoursType;
    }

    public void setWorkingHoursType(Integer workingHoursType) {
        this.workingHoursType = workingHoursType;
    }

    public Integer getHideSign() {
        return hideSign;
    }

    public void setHideSign(Integer hideSign) {
        this.hideSign = hideSign;
    }

    public String getDepNo() {
        return depNo;
    }

    public void setDepNo(String depNo) {
        this.depNo = depNo;
    }

    public Integer getApproval() {
        return approval;
    }

    public void setApproval(Integer approval) {
        this.approval = approval;
    }

    public String getApprovalAid() {
        return approvalAid;
    }

    public void setApprovalAid(String approvalAid) {
        this.approvalAid = approvalAid;
    }

    public String getExpenseFinanceId() {
        return expenseFinanceId;
    }

    public void setExpenseFinanceId(String expenseFinanceId) {
        this.expenseFinanceId = expenseFinanceId;
    }

    public Integer getExpenseRetrialFinanceExamine() {
        return expenseRetrialFinanceExamine;
    }

    public void setExpenseRetrialFinanceExamine(Integer expenseRetrialFinanceExamine) {
        this.expenseRetrialFinanceExamine = expenseRetrialFinanceExamine;
    }

    public Integer getCeoExamine() {
        return ceoExamine;
    }

    public void setCeoExamine(Integer ceoExamine) {
        this.ceoExamine = ceoExamine;
    }

    public Integer getCfoExamine() {
        return cfoExamine;
    }

    public void setCfoExamine(Integer cfoExamine) {
        this.cfoExamine = cfoExamine;
    }

    public Integer getViceCeoExamine() {
        return viceCeoExamine;
    }

    public void setViceCeoExamine(Integer viceCeoExamine) {
        this.viceCeoExamine = viceCeoExamine;
    }

    public Integer getCashierExamine() {
        return cashierExamine;
    }

    public void setCashierExamine(Integer cashierExamine) {
        this.cashierExamine = cashierExamine;
    }
}
